#
# spec file for package koffice (Version 1.2.92)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  alsa alsa-devel aspell aspell-devel audiofile doxygen glib2 glib2-devel graphviz kde3-devel-packages kdelibs3-devel-doc libart_lgpl libart_lgpl-devel libgsf libgsf-devel libogg libogg-devel libvorbis libvorbis-devel mysql-devel mysql-shared pkgconfig python python-devel qt3-devel-doc unzip wv2 wv2-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs alsa alsa-devel arts arts-devel aspell aspell-devel audiofile autoconf automake binutils cracklib doxygen expat fam fam-devel fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem graphviz kdelibs3 kdelibs3-devel kdelibs3-devel-doc libart_lgpl libart_lgpl-devel libgsf libgsf-devel libjpeg liblcms liblcms-devel libmng libmng-devel libogg libogg-devel libpng libpng-devel libstdc++-devel libtiff libtool libvorbis libvorbis-devel libxml2 libxml2-devel libxslt libxslt-devel mesa mesaglut mesaglut-devel mysql-devel mysql-shared openssl-devel pcre pcre-devel perl pkgconfig python python-devel qt3 qt3-devel qt3-devel-doc rpm update-desktop-files wv2 wv2-devel

Name:         koffice
URL:          http://www.koffice.org
License:      GPL, LGPL
Group:        Productivity/Office/Suite
Summary:      Libraries and base files for the KDE Office suite
Version:      1.2.92
Release:      89
%define rversion 1.2.92
%define DIAversion 0.86
%define PDFversion 0.5
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      koffice-%rversion.tar.bz2
Source1:      Dia-%DIAversion-kivio.tar.bz2
Source2:      kpdfimport-%PDFversion.tar.bz2
Source4:      api_docu_description
Source5:      esstix.zip
Patch1:       koffice.diff
Patch2:       filedialog-crash.patch
Patch3:       kpdfimport.diff
Patch10:      xpdf_security_integer_overflow.diff
Patch11:      xpdf_security_integer_overflow_2.diff
Patch12:      post-koffice-1.2.1.diff
Patch13:      post-1.3-koffice-CAN-2005-3193.diff

%description
Base files and libraries for koffice applications. The applications are
in these packages:

koffice-wordprocessing koffice-spreadsheet koffice-illustration
koffice-presentation koffice-database koffice-extra



Authors:
--------
    The KDE Team <kde@kde.org>

%package devel
Requires:     koffice kdelibs3-devel
Summary:      The build enviroment from KOffice
Group:        Development/Libraries/KDE

%description devel
The build enviroment from KOffice

You need this package to compile koffice applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%package wordprocessing
# usesubdirs kword kformula filters/kword tools/thesaurus tools/kthesaurus tools/spell autocorrect doc/kword doc/thesaurus doc/kformula kpdfimport
Summary:      A KDE word processor
Group:        Productivity/Publishing/Word
Provides:     koffice:/opt/kde3/bin/kword
Provides:     koffice:/opt/kde2/bin/kword

%description wordprocessing
Needed applications for word processing:

kword - a classic word processor kthesaurus - can be used to replace a
word with a synonym kformula - can be used to create math symbols and
formulas



Authors:
--------
    The KDE Team <kde@kde.org>

%package spreadsheet
# usesubdirs kspread kchart filters/kspread doc/kspread
# filters/excel97
Summary:      A spreadsheet for KDE
Group:        Productivity/Office/Spreadsheets
Provides:     koffice:/opt/kde3/bin/kspread
Provides:     koffice:/opt/kde2/bin/kspread

%description spreadsheet
This package contains:

kspread - a classic spreadsheet application, which can show diagrams
via kchart kchart - to create diagrams



Authors:
--------
    The KDE Team <kde@kde.org>

%package presentation
# usesubdirs kpresenter filters/kpresenter doc/kpresenter
# filters/powerpoint97
Summary:      A KOffice program to create presentations
Group:        Productivity/Publishing/Presentation
Provides:     koffice:/opt/kde3/bin/kpresenter
Provides:     koffice:/opt/kde2/bin/kpresenter

%description presentation
Kpresenter can create and show presentation slides.



Authors:
--------
    The KDE Team <kde@kde.org>

%package illustration
# usesubdirs kivio karbon filters/karbon
Summary:      Illustration applications based on KOffice libraries
Group:        Productivity/Publishing/Presentation
Obsoletes:    kivio
Provides:     kivio

%description illustration
This package contains the koffice illustration applications:

kontour - A vector drawing application. kivio - A flow chart drawing
application.



Authors:
--------
    The KDE Team <kde@kde.org>

%package extra
# usesubdirs kugar doc/kugar filters/kugar
Summary:      Small addon applications for KOffice
Group:        Productivity/Office/Other
Obsoletes:    kugar
Provides:     kugar
Provides:     koffice:/opt/kde3/bin/kugar
Provides:     koffice:/opt/kde2/bin/kugar

%description extra
This package contains small addon applications for KOffice:

Kugar - A report viewer, shows reports from XML files.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -b 1 -b 2
%patch1
%patch2
cd ../kpdfimport-%PDFversion/
%patch3
%patch10
%patch11
rm kpdfimport/configure.in.*
mv kpdfimport ../koffice-%version/
cd -
%patch12
%patch13
. /etc/opt/kde3/common_options
update_admin
cd ../Dia-%DIAversion-kivio/
update_admin

%build
. /etc/opt/kde3/common_options
export CXXFLAGS="$CXXFLAGS -O0 -g"
export LD_LIBRARY_PATH="/%_lib /%_libdir"
./configure $configkde --disable-final
make
cd ../Dia-%DIAversion-kivio/
./configure $configkde
make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install-strip
rm -rf ${RPM_BUILD_ROOT}/opt/kde2/share/apps/krayon
rm -rf ${RPM_BUILD_ROOT}/opt/kde2/share/doc/HTML/en/krayon
cd ../Dia-%DIAversion-kivio/
make DESTDIR=${RPM_BUILD_ROOT} install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype-tmp
pushd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype-tmp
unzip %SOURCE5
for i in *.TTF ; do
    mv "$i" "`echo $i|tr '[A-Z]' '[a-z]'`"
done 
chmod 0644 *.ttf
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype
mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype-tmp/*.ttf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/truetype-tmp
if [ %suse_version = 820 ]; then
rm -f $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/application/vnd.sun.xml.*.desktop
fi
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/config/
echo "[kformula Font]"  >> $RPM_BUILD_ROOT/opt/kde3/share/config/kformularc
echo "fontStyle=esstix" >> $RPM_BUILD_ROOT/opt/kde3/share/config/kformularc
%suse_update_desktop_file kudesigner	Editor
%suse_update_desktop_file kugar		Office Viewer
%suse_update_desktop_file karbon -r     Graphics VectorGraphics
%suse_update_desktop_file kivio		Office FlowChart
%suse_update_desktop_file kpresenter	Office Presentation
%suse_update_desktop_file kchart	Office FlowChart
%suse_update_desktop_file kspread	Office Spreadsheet
%suse_update_desktop_file KThesaurus -u Office
%suse_update_desktop_file kformula   -u Office
%suse_update_desktop_file kword		Office WordProcessor
%suse_update_desktop_file koshell    -u Office Core-Office

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%dir /opt/kde3/share/icons/*/*/apps
%dir /opt/kde3/share/apps/koffice
%dir /opt/kde3/share/templates
%dir /opt/kde3/share/templates/.source
/opt/kde3/bin/ko*
/opt/kde3/%_lib/kde3/clipartthumbnail.*
/opt/kde3/%_lib/kde3/kfile_koffice.*
/opt/kde3/%_lib/kde3/ko*
/opt/kde3/%_lib/kde3/libgenerickofilter.*
/opt/kde3/%_lib/kde3/libkfolatexexport.*
/opt/kde3/%_lib/kde3/libkfomathml*
/opt/kde3/%_lib/kde3/libkfopngexport.*
/opt/kde3/%_lib/kde3/libkounavailpart.*
/opt/kde3/%_lib/kde3/libolefilter.*
/opt/kde3/%_lib/kde3/libxslt*
/opt/kde3/%_lib/koshell.*
/opt/kde3/%_lib/libkformula.*
/opt/kde3/%_lib/libko*
/opt/kde3/%_lib/libkstore.*
/opt/kde3/%_lib/libkwmf.*
/opt/kde3/share/applnk/Office/koshell.desktop
/opt/kde3/share/apps/koffice/hyphdicts
/opt/kde3/share/apps/koffice/icons
/opt/kde3/share/apps/koffice/koffice_shell.rc
/opt/kde3/share/apps/koffice/pics
/opt/kde3/share/apps/kontour
/opt/kde3/share/apps/koshell
/opt/kde3/share/apps/krita
/opt/kde3/share/apps/xsltfilter
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kchart
%doc %lang(en) /opt/kde3/share/doc/HTML/en/koffice*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/koshell
/opt/kde3/share/icons/*/*x*/*/abs.png
/opt/kde3/share/icons/*/*x*/*/brackets.png
/opt/kde3/share/icons/*/*x*/*/frac.png
/opt/kde3/share/icons/*/*x*/*/int.png
/opt/kde3/share/icons/*/*x*/*/inscol.png
/opt/kde3/share/icons/*/*x*/*/insrow.png
/opt/kde3/share/icons/*/*x*/*/lsub.png
/opt/kde3/share/icons/*/*x*/*/lsup.png
/opt/kde3/share/icons/*/*x*/*/matrix.png
/opt/kde3/share/icons/*/*x*/*/multiline.png
/opt/kde3/share/icons/*/*x*/*/onetwomatrix.png
/opt/kde3/share/icons/*/*x*/*/over.png
/opt/kde3/share/icons/*/*x*/*/paren.png
/opt/kde3/share/icons/*/*x*/*/prod.png
/opt/kde3/share/icons/*/*x*/*/remcol.png
/opt/kde3/share/icons/*/*x*/*/remrow.png
/opt/kde3/share/icons/*/*x*/*/rsub.png
/opt/kde3/share/icons/*/*x*/*/rsup.png
/opt/kde3/share/icons/*/*x*/*/sqrt.png
/opt/kde3/share/icons/*/*x*/*/sum.png
/opt/kde3/share/icons/*/*x*/*/under.png
/opt/kde3/share/mimelnk/application/*
/opt/kde3/share/mimelnk/image/x-vnd.*
/opt/kde3/share/services/clipartthumbnail.desktop
/opt/kde3/share/services/generic_filter.desktop
/opt/kde3/share/services/kf*
/opt/kde3/share/services/ko*
/opt/kde3/share/services/o*
/opt/kde3/share/services/xslt_*
/opt/kde3/share/servicetypes/ko*
/opt/kde3/share/templates/*
/opt/kde3/share/templates/.source/Illustration.karbon
/opt/kde3/share/templates/.source/Presentation.kpt
/opt/kde3/share/templates/.source/SpreadSheet.ksp
/opt/kde3/share/templates/.source/TextDocument.kwt
%if %suse_version > 800

%files wordprocessing
%defattr(-,root,root)
%endif
/opt/kde3/bin/kformula
/opt/kde3/bin/kthesaurus
/opt/kde3/bin/kword
/opt/kde3/%_lib/kde3/kwmailmerge_*
/opt/kde3/%_lib/kde3/libabiword*
/opt/kde3/%_lib/kde3/libamipro*
/opt/kde3/%_lib/kde3/libapplixwordimport.*
/opt/kde3/%_lib/kde3/libascii*
/opt/kde3/%_lib/kde3/libdocbookexport.*
/opt/kde3/%_lib/kde3/libhtml*
/opt/kde3/%_lib/kde3/libkformulapart.*
/opt/kde3/%_lib/kde3/libkspelltool.*
/opt/kde3/%_lib/kde3/libkword*
/opt/kde3/%_lib/kde3/libmsw*
/opt/kde3/%_lib/kde3/liboowriter*
/opt/kde3/%_lib/kde3/libp*
/opt/kde3/%_lib/kde3/librtf*
/opt/kde3/%_lib/kde3/libthesaurustool.*
/opt/kde3/%_lib/kde3/libwml*
/opt/kde3/%_lib/kde3/libooimpressexport.*
/opt/kde3/%_lib/kde3/libwp*
/opt/kde3/%_lib/kde3/kfile_ooo.*
/opt/kde3/%_lib/kde3/straight_connector.*
/opt/kde3/%_lib/kformulamain.*
/opt/kde3/%_lib/kword.*
/opt/kde3/%_lib/libkwmailmerge_interface.*
/opt/kde3/%_lib/libkwordexportfilters.*
/opt/kde3/share/applnk/Office/KThesaurus.desktop
/opt/kde3/share/applnk/Office/kformula.desktop
/opt/kde3/share/applnk/Office/kword.desktop
/opt/kde3/share/apps/kformula
/opt/kde3/share/apps/koffice/autocorrect
/opt/kde3/share/apps/kword
/opt/kde3/share/apps/thesaurus
%config /opt/kde3/share/config/kformularc
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kformula
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kword
%doc %lang(en) /opt/kde3/share/doc/HTML/en/thesaurus
/opt/kde3/share/icons/*/*x*/*/kword.png
/opt/kde3/share/services/kspelltool.desktop
/opt/kde3/share/services/kw*
/opt/kde3/share/services/thesaurustool.desktop
/opt/kde3/share/servicetypes/kwmailmerge.desktop
/opt/kde3/share/icons/*/*x*/*/kformula.png
%dir /usr/X11R6/lib/X11/fonts/truetype
/usr/X11R6/lib/X11/fonts/truetype/esstix*.ttf
%if %suse_version > 800

%files spreadsheet
%defattr(-,root,root)
%endif
/opt/kde3/bin/kchart
/opt/kde3/bin/kspread
/opt/kde3/%_lib/kchart.*
/opt/kde3/%_lib/kde3/libapplixspreadimport.*
/opt/kde3/%_lib/kde3/libcsv*
/opt/kde3/%_lib/kde3/libdbaseimport.*
/opt/kde3/%_lib/kde3/libgnumeric*
/opt/kde3/%_lib/kde3/libkchartpart.*
/opt/kde3/%_lib/kde3/libkspread*
/opt/kde3/%_lib/kde3/libopencalc*
/opt/kde3/%_lib/kde3/libqproimport.*
/opt/kde3/%_lib/kspread.*
/opt/kde3/%_lib/libkdchart.*
/opt/kde3/share/applnk/Office/kchart.desktop
/opt/kde3/share/applnk/Office/kspread.desktop
/opt/kde3/share/apps/kchart
/opt/kde3/share/apps/kspread
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kspread
/opt/kde3/share/icons/*/*x*/*/kchart.png
/opt/kde3/share/icons/*/*x*/*/kspread.png
/opt/kde3/share/icons/*/*x*/*/kspreadcalc.png
/opt/kde3/share/services/kspread*
%if %suse_version > 800

%files presentation
%defattr(-,root,root)
%endif
/opt/kde3/bin/kpr*
/opt/kde3/%_lib/kde3/libkpr*
/opt/kde3/%_lib/kde3/libooimpressimport.*
/opt/kde3/%_lib/kpresenter.*
/opt/kde3/share/applnk/Office/kpresenter.desktop
/opt/kde3/share/apps/kpresenter
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kpresenter
/opt/kde3/share/icons/*/*x*/*/kpresenter.png
/opt/kde3/share/services/kpr*
%if %suse_version > 800

%files illustration
%defattr(-,root,root)
%endif
/opt/kde3/bin/karbon
/opt/kde3/bin/kivio
/opt/kde3/%_lib/karbon.*
/opt/kde3/%_lib/kde3/karbon_*
/opt/kde3/%_lib/kde3/libkarbon*
/opt/kde3/%_lib/kde3/libkiviopart.*
/opt/kde3/%_lib/kde3/libwmf*
/opt/kde3/%_lib/kivio.*
/opt/kde3/%_lib/libkivio*
/opt/kde3/share/applnk/Office/karbon.desktop
/opt/kde3/share/applnk/Office/kivio.desktop
/opt/kde3/share/apps/karbon
/opt/kde3/share/apps/kivio
/opt/kde3/share/icons/*/*x*/*/karbon.png
/opt/kde3/share/icons/*/*x*/*/kivio.png
/opt/kde3/share/services/karbon_*
/opt/kde3/share/services/kivio*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kivio
%if %suse_version > 800

%files extra
%defattr(-,root,root)
%endif
/opt/kde3/bin/ku*
/opt/kde3/%_lib/kde3/libku*
/opt/kde3/%_lib/ku*
/opt/kde3/%_lib/libku*
/opt/kde3/share/applnk/Office/ku*
/opt/kde3/share/apps/ku*
%doc %lang(en) /opt/kde3/share/doc/HTML/en/kugar
/opt/kde3/share/icons/*/*x*/*/kudesigner.png
/opt/kde3/share/icons/*/*x*/*/kugar.png
/opt/kde3/share/icons/*/*x*/*/kugardata.png
/opt/kde3/share/services/kugar_kugar_import.desktop

%files devel
%defattr(-,root,root)
/opt/kde3/include/*

%changelog -n koffice
* Wed Dec 07 2005 - dmueller@suse.de
- xpdf integer overflows, CVE-2005-3193 (#137156)
* Thu Oct 06 2005 - dmueller@suse.de
- fix RTF import buffer overflow (#118546)
  CAN-2005-2971
* Tue Mar 01 2005 - adrian@suse.de
- fix xpdf vulnerability (#47730)
* Wed Oct 29 2003 - adrian@suse.de
- apply workaround for crash on file dialog close
* Wed Sep 17 2003 - kukuk@suse.de
- remove duplicate provide/obsolete for kugar from koffice
* Tue Sep 16 2003 - ro@suse.de
- removed wrong provides/obsoletes for kivio (#31062)
* Sun Sep 14 2003 - adrian@suse.de
- fix Categories
* Tue Sep 09 2003 - adrian@suse.de
- fix kformula font usage, in the way Lukas told me (#29308)
* Sun Sep 07 2003 - adrian@suse.de
- Category fixes
* Wed Aug 13 2003 - adrian@suse.de
- fix build for all architectures
* Sun Aug 10 2003 - adrian@suse.de
- update to version 1.2.92 (1.3 beta 3)
* Fri Aug 08 2003 - adrian@suse.de
- update to version 1.2.91 (1.3 beta 2)
- add Categories
* Tue Jun 03 2003 - coolo@suse.de
- don't install non-ttf files of the esstix fonts
* Thu May 22 2003 - adrian@suse.de
- do not package sun files on 8.2
* Wed Apr 23 2003 - adrian@suse.de
- fix build on 64bit
* Mon Apr 21 2003 - adrian@suse.de
- add esstix formula fonts for kformula
* Tue Apr 15 2003 - adrian@suse.de
- fix build finaly
* Tue Apr 15 2003 - adrian@suse.de
- fix build for 8.2
* Tue Apr 15 2003 - adrian@suse.de
- update to version 1.2.90 (1.3 beta 1)
* Tue Feb 11 2003 - adrian@suse.de
- fix build
* Fri Feb 07 2003 - adrian@suse.de
- add pdfimporter for kword
* Fri Jan 31 2003 - adrian@suse.de
- fix build
- add Dia stencils for kivio
* Wed Jan 29 2003 - adrian@suse.de
- use current 1_2_BRANCH
  * fixes kword crashes
  * obsoletes gcc 3.3 patch
* Sun Jan 26 2003 - adrian@suse.de
- fix build for gcc 3.3
* Thu Dec 05 2002 - adrian@suse.de
- package kontour desktop link again
  (kontour does not start without and it seems not to be broken anymore)
* Tue Dec 03 2002 - adrian@suse.de
- update to official 1.2.1 version
* Sun Nov 24 2002 - adrian@suse.de
- update BRANCH.diff
  * fixes kspread crash
* Mon Nov 11 2002 - coolo@suse.de
- neededforbuilds += vorbis devel
* Wed Sep 04 2002 - coolo@suse.de
- update the branch fixes again to really
  include the koshell crash fix
* Wed Sep 04 2002 - adrian@suse.de
- update to final final tar ball
- add branch fixes
  * fix koshell crash on quit
  * fix kspread issues
* Mon Sep 02 2002 - adrian@suse.de
- update to final version 1.2
- menu entry for kontour is removed, since it is too broken atm
* Fri Aug 09 2002 - adrian@suse.de
- fix file list
* Wed Jul 31 2002 - adrian@suse.de
- update to version 1.2rc1
* Wed Jul 10 2002 - adrian@suse.de
- split package into -illustration, -presentation, -spreadsheet,
-wordprocessing and -extra
* Fri Jun 28 2002 - adrian@suse.de
- do even apply Davids fix :(
* Thu Jun 27 2002 - uli@suse.de
- use %%_lib in file list as well...
* Tue Jun 25 2002 - adrian@suse.de
- apply hotfix from David for kivio crash on startup
* Sat Jun 22 2002 - adrian@suse.de
- update to version 1.2beta2
* Mon Jun 03 2002 - coolo@suse.de
- fixing for automake 1.6 and using update_admin and configkde
* Fri May 17 2002 - coolo@suse.de
- update admin dir and use %%_lib
* Tue May 14 2002 - adrian@suse.de
- re-apply old patches to fix gcc 3.1 issues
* Mon May 13 2002 - adrian@suse.de
- fix kword/kooka interaction (patch from freitag)
* Sat May 11 2002 - adrian@suse.de
- use again 1.1.1 for our update service.
* Wed Apr 24 2002 - coolo@suse.de
- updated the tar ball (KDE habit :)
* Fri Apr 19 2002 - adrian@suse.de
- update to version 1.2 beta 1
* Tue Apr 16 2002 - coolo@suse.de
- turning the patch upsidedown (grr)
* Tue Apr 16 2002 - coolo@suse.de
- another gcc 3.1 fix for ppc
* Sun Apr 14 2002 - coolo@suse.de
- adding gcc 3.1 fix
* Tue Mar 26 2002 - kukuk@suse.de
- Fix path of "common_compile_options"
* Thu Mar 21 2002 - adrian@suse.de
- update tar ball to latest 3_0_BRANCH
* Tue Mar 05 2002 - adrian@suse.de
- fix build :(
* Mon Mar 04 2002 - adrian@suse.de
- update to a snapshot from 1_1_BRANCH_KDE_3
- this is version 1.1.1 ported for KDE 3
* Thu Feb 07 2002 - sf@suse.de
- added a patch to alpha.dif to build with gcc 3.x
  (a Namespace problem)
* Sun Feb 03 2002 - adrian@suse.de
- remove -devel-doc package.
* Fri Dec 14 2001 - adrian@suse.de
- remove unneeded documentation
* Wed Dec 12 2001 - adrian@suse.de
- update to second try of final 1.1.1 version
* Tue Dec 11 2001 - adrian@suse.de
- update to version 1.1.1
* Wed Nov 14 2001 - ro@suse.de
- use kde2-devel-packages in neededforbuild
* Thu Nov 08 2001 - ro@suse.de
- use qt-devel-packages
* Fri Aug 24 2001 - adrian@suse.de
- update to real final 1.1 tar ball
  * Drawing of selection in a justified paragraph
  * Correct ruler offset when scrolling (big bug !)
  * Some UI issue in the paragdia.
- post 1.1 fix for tab allignement in kword
* Mon Aug 20 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu Aug 16 2001 - adrian@suse.de
- update to 1.1
* Mon Aug 06 2001 - adrian@suse.de
- drop application API documentation. lib API is enough.
* Thu Aug 02 2001 - adrian@suse.de
- add KDE 2.2 support
* Thu Jul 26 2001 - adrian@suse.de
- fixed file list (fixes plugin problems in kivio)
- add all application classes to API documentation
* Tue Jul 24 2001 - adrian@suse.de
- update to 1.1rc1
* Fri Jul 06 2001 - adrian@suse.de
- fix #neededforbuild (add freetype2)
- generate API documentation
* Mon Jun 18 2001 - adrian@suse.de
- update to 1.1beta3
* Thu May 17 2001 - adrian@suse.de
- update to 1.1beta2
* Sat Apr 21 2001 - adrian@suse.de
- using updated 1.1beta1 tar ball
  (fixed crash in kword by using letter)
* Fri Apr 20 2001 - adrian@suse.de
- update to 1.1 beta 1
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Wed Mar 21 2001 - adrian@suse.de
- using official tar ball
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Wed Feb 28 2001 - ro@suse.de
- added fam to neededforbuild
- added stdlib.h include in kspread_canvas.cc
* Sun Jan 07 2001 - adrian@suse.de
- change icon handling
* Sun Dec 17 2000 - adrian@suse.de
- fix icon file conflicts
* Wed Dec 13 2000 - adrian@suse.de
- update to current 2_0_BRANCH
* Thu Nov 30 2000 - adrian@suse.de
- update to 2.0.1
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Thu Nov 16 2000 - adrian@suse.de
- New version from KDE_2_0_BRANCH
* Mon Nov 06 2000 - ro@suse.de
- fixed specfile
* Tue Oct 17 2000 - adrian@suse.de
- update to 2.0.0
* Tue Sep 12 2000 - adrian@suse.de
- update to RC 1
* Tue Aug 22 2000 - adrian@suse.de
- drop -j 6
* Mon Aug 21 2000 - adrian@suse.de
- update to beta 4 / 1.93
* Mon Jul 24 2000 - adrian@suse.de
- update to second try of beta 3
* Fri Jul 21 2000 - adrian@suse.de
- update to beta 3
* Tue Jul 18 2000 - adrian@suse.de
- update to snapshot from 17.07.2000
* Sun Jul 09 2000 - adrian@suse.de
- update to snapshot from 06.07.2000
* Fri Jun 09 2000 - adrian@suse.de
- update to 1.91; beta 2
* Tue Jun 06 2000 - adrian@suse.de
- snapshot from 06.06.2000
* Sun May 28 2000 - adrian@suse.de
- snapshot from 28.05.2000
  new type of spec file
* Fri May 12 2000 - adrian@suse.de
- update to KDE 1.90 version
* Sat Apr 29 2000 - adrian@suse.de
- newer snapshot from 25.04.2000
* Wed Apr 19 2000 - adrian@suse.de
- first snapshot from 17.04.2000
  still pre beta
